--- readme-live-image.HEAD.po 
+++ readme-live-image.HEAD.fr.po 
@@ -1,16 +1,22 @@
-# translation of readme-live-image.HEAD.po to francais
+# French translation for readme-live-image package.
+# Copyright (C) 2008 Red Hat, Inc. All rights reserved.
+# This file is distributed under the same license as the readme-live-image package.
+#
 # Michaël Ughetto <Telimektar1er@gmail.com>, 2008.
+# Robert-André Mauchin <zebob.m@pengzone.org>, 2008.
+#
 msgid ""
 msgstr ""
-"Project-Id-Version: readme-live-image.HEAD\n"
-"POT-Creation-Date: 2007-10-22 20:52-0400\n"
-"PO-Revision-Date: 2008-03-12 18:35+0100\n"
-"Last-Translator: Michaël Ughetto <Telimektar1er@gmail.com>\n"
-"Language-Team: francais <fedora-trans-fr@redhat.com>\n"
+"Project-Id-Version: readme-live-image HEAD\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2008-03-12 07:57+0000\n"
+"PO-Revision-Date: 2008-03-14 01:53:57+0100\n"
+"Last-Translator: Robert-André Mauchin <zebob.m@pengzone.org>\n"
+"Language-Team: Français <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: KBabel 1.11.4\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: en_US/rpm-info.xml:16(rights)
 msgid "OPL"
@@ -39,28 +45,27 @@
 #. Use a local title element to avoid including fdp-info
 #: en_US/rpm-info.xml:25(title) en_US/readme-live-image.xml:12(title)
 msgid "Live Image README"
-msgstr "LisezMoi de l'image live"
+msgstr "Lisez-moi de l'image Live"
 
 #: en_US/rpm-info.xml:26(desc)
 msgid "How to use the Fedora Live image"
-msgstr "Comment utiliser l'image live de Fedora"
+msgstr "Guide d'utilisation de l'image live Fedora"
 
 #: en_US/rpm-info.xml:30(details)
 msgid "Push new version for final"
-msgstr "Pousse la nouvelle version en version finale"
+msgstr "Nouvelle version pour la sortie finale"
 
 #: en_US/rpm-info.xml:34(details)
-#, fuzzy
 msgid "Elevate installation section"
-msgstr "Section d'installation avancée"
+msgstr "Renumérotation du chapitre d'installation"
 
 #: en_US/rpm-info.xml:38(details)
 msgid "Sync version for release notes build"
-msgstr "Synchronise la version pour la construction des notes de version"
+msgstr "Version synchronisée pour la construction des notes de publication"
 
 #: en_US/rpm-info.xml:42(details)
 msgid "First published version with edits"
-msgstr "Première version publiée avec corrections"
+msgstr "Première publication avec modifications"
 
 #: en_US/readme-live-image.xml:14(title)
 msgid "Introduction"
@@ -68,15 +73,16 @@
 
 #: en_US/readme-live-image.xml:15(para)
 msgid "A Live image is a low-risk and time-efficient method of \"test-driving\" the Fedora operating system on your own familiar hardware. If the evaluation provides a pleasant adventure, you may choose to install the Live system software to provide your normal computing environment. This Live image provides you with an experience that is very similar to running Fedora, but there are some benefits and caveats. Refer to <xref linkend=\"benefits\"/> and <xref linkend=\"caveats\"/> for more information."
-msgstr "Une image live est une méthode peu risquée et rapide de \"mener des tests\" du système d'exploitation Fedora sur votre propre matériel. Si l'évaluation vous fait vivre une aventure plaisante, vous pourrez choisir d'installer le système live pour obtenir un environnement de travail normal. L'image live vous propose une expérience trés similaire à l'utilisation de Fedora, mais il y certains avantages et désavantages. Consultez <xref linkend=\"benefits\"/> et <xref linkend=\"caveats\"/> pour plus d'informations."
+msgstr ""
+"Une image live est une méthode rapide et peu risquée pour tester le système d'exploitation Fedora sur votre propre matériel. Si l'aventure vous a plu, vous pouvez décider de l'installer pour obtenir un environnement de travail normal. Cette image Live vous donne expérience très similaire à l'utilisation normale de Fedora, mais avec certains avantages et inconvénients. Consultez <xref linkend=\"benefits\"/> et <xref linkend=\"caveats\"/> pour davantage d'informations."
 
 #: en_US/readme-live-image.xml:25(title)
 msgid "What Should I Do With My Live Image?"
-msgstr "Que dois-je faire avec mon image live ?"
+msgstr "Que dois-je faire avec mon image Live ?"
 
 #: en_US/readme-live-image.xml:26(para)
 msgid "Before you use your Live image, read the next section to learn how to maximize your enjoyment of Fedora. You may also want to read <xref linkend=\"booting\"/> for hints on booting from this media. Then insert this media in your computer and boot from it."
-msgstr "Avant d'utiliser votre image live, lisez la section suivante pour apprendre comment maximiser votre plaisir d\"utiliser Fedora. Vous pouvez aussi lire <xref linkend=\"booting\" /> pour des astuces sur le démarrage depuis ce média. Insérez ce média dans votre ordinateur et démarrez à partir de celui-ci."
+msgstr "Avant d'utiliser votre image Live, consultez le chapitre suivant pour apprendre à maximiser votre utilisation de Fedora. Vous pouvez également lire <xref linkend=\"booting\"/> pour des conseils concernant le démarrage depuis ce support. Insérez ce média dans votre ordinateur et démarrez à partir de celui-ci."
 
 #: en_US/readme-live-image.xml:33(title)
 msgid "Suggested Hardware"
@@ -84,11 +90,11 @@
 
 #: en_US/readme-live-image.xml:34(para)
 msgid "This Live system successfully boots and runs on most computers with 256 MB or more installed system memory, or RAM. If your computer has 1 GB or more installed system memory, for higher performance, select <guilabel>Run from RAM</guilabel> from the boot menu."
-msgstr "Ce système live démarre avec succés sur la plupart des ordinateurs avec 256 Mo ou plus de mémoire système, ou RAM. Si votre ordinateur a 1 Go ou plus de mémoire système installée, pour de meilleures performances, sélectionnez <guilabel>Lancer depuis la RAM</guilabel> dans le menu de démarrage."
+msgstr "Ce système Live démarre et fonctionne correctement sur la plupart des ordinateurs équipés de 256 Mio ou davantage de mémoire vive (RAM). Pour de meilleures performances, sélectionnez <guilabel>Lancer depuis la RAM</guilabel> dans le menu de démarrage si votre système possède 1 Gio ou plus de mémoire vive."
 
 #: en_US/readme-live-image.xml:39(para)
 msgid "Your computer must have the ability to boot from the device holding the Live image media. For instance, if the Live image is on a CD or DVD, your computer must be able to boot from the CD or DVD drive."
-msgstr "Votre ordinateur doit avoir la possibilité de démarrer depuis le périphérique contenant le média de l'image live. Par exemple, si l'image live est sur un CD ou un DVD, votre ordinateur doit être capable de démarrer depuis le lecteur CD ou DVD."
+msgstr "Votre ordinateur doit pouvoir démarrer à partir du périphérique contenant le support de l'image Live. Par exemple, si l'image Live est sur un CD ou un DVD, votre ordinateur doit être capable de démarrer depuis le lecteur de CD ou DVD."
 
 #: en_US/readme-live-image.xml:45(title)
 msgid "Booting"
@@ -96,7 +102,7 @@
 
 #: en_US/readme-live-image.xml:46(para)
 msgid "This section gives additional guidance for users whose experience with starting the computer, or \"booting,\" is limited to pushing the power button. To set up your system to boot from the Live media, first shut down or hibernate your computer if it is not already off. Power your computer on, and watch the initial BIOS screen for a prompt that indicates which key to use for either:"
-msgstr "Cette section donne des conseils supplémentaires pour les utilisateurs dont l'expérience de la mise sous tension de l'ordinateur, ou \"démarrage\", se limite à appuyer sur le bouton d'alimentation. Pour préparer votre ordinateur à démarrer depuis le média live, éteignez votre ordinateur ou mettez le en veille, si ce n'est pas déjà le cas. Allumez votre ordinateur, et regardez l'écran initial de BIOS pour y repérer le message indiquant quelle touche utiliser pour l'un ou l'autre :"
+msgstr "Ce chapitre fournit des conseils supplémentaires pour les utilisateurs dont la connaissance concernant le démarrage ou « amorçage » d'un ordinateur se limité à appuyer sur le bouton d'alimentation. Pour paramétrer votre système afin de démarrer sur l'image Live, éteignez ou hibernez votre ordinateur s'il ne l'est pas déjà. Allumez votre ordinateur et regardez attentivement l'écran initial du BIOS pour y repérer le message indiquant quelle touche utiliser pour obtenir :"
 
 #: en_US/readme-live-image.xml:55(para)
 msgid "a boot menu, or"
@@ -108,25 +114,23 @@
 
 #: en_US/readme-live-image.xml:61(para)
 msgid "The boot menu option is preferable. If you cannot see such a prompt, consult your manufacturer's documentation for your computer system, motherboard, or mainboard for the correct keystroke. On many systems, the required key will be <keycap>F12</keycap>, <keycap>F2</keycap>, <keycap>F1</keycap>, or <keycap>Delete</keycap>."
-msgstr ""
-"Le menu de démarrage est préférable. Si vous ne voyez pas un tel message, consultez la documentation du fabricant de votre ordinateur ou de votre carte mère pour obtenir la bonne touche. Sur de nombreux systèmes, la touche nécessaire sera <keycap>F12<keycap>, <keycap>F2</keycap>, "
-"<keycap>F1</keycap>, ou <keycap>Suppr</keycap>."
+msgstr "Le menu de démarrage est préférable. Si vous ne voyez pas un tel message, consultez la documentation du fabricant de votre système, de la carte mère ou de la carte principale, afin de trouver la bonne touche. Sur de nombreux systèmes, la touche nécessaire peut être <keycap>F12</keycap>, <keycap>F2</keycap>, <keycap>F1</keycap>, ou encore <keycap>Supprimer</keycap>."
 
 #: en_US/readme-live-image.xml:67(para)
 msgid "Most computers boot from hard disk (or one of the hard disks, if there are more than one). If you are reading this document from a CD or a DVD, then set the computer to boot from the DVD or CD drive. If you are reading this file from a USB device such as a memory stick or thumb drive, set your computer to boot from the USB device."
-msgstr "La majeure partie des ordinateurs démarre à partir du disque dur (ou d'un des disques durs si il y en a plus d'un). Si vous lisez ce document depuis un CD ou un DVD, configurez alors votre ordinateur afin qu'il démarre depuis le lecteur CD ou DVD. Si vous lisez ce fichier depuis un périphérique USB tel qu'une carte mémoire ou un périphérique USB, configurez votre ordinateur pour démarrer à partir du périphérique USB."
+msgstr "La plupart des ordinateurs démarrent à partir du disque dur (ou l'un des disques durs s'il y en a plusieurs). Si vous lisez ce document à partir d'un CD ou d'un DVD, vous devez paramétrer l'ordinateur pour démarrer à partir du lecteur de CD ou de DVD. Si vous lisez ce fichier à partir d'un périphérique USB, comme une clef USB ou un carte mémoire, paramétrez votre ordinateur pour démarrer à partir du périphérique USB."
 
 #: en_US/readme-live-image.xml:73(para)
 msgid "If you are making changes to the BIOS configuration, record the current boot device selection configuration before you change it. This record allows you to restore the original configuration if you choose to return to your previous computing environment."
-msgstr "Si vous faites des changements dans la configuration du BIOS, notez la configuration actuelle du périphérique de démarrage avant de le changer. Cette note vous permettra de restaurer la configuration initiale si vous choisissez de revenir à votre environnement de travail précédent."
+msgstr "Si vous souhaitez apporter des modifications à la configuration du BIOS, notez le réglage actuel du périphérique de démarrage avant de le modifier. Cette note vous permettra de restaurer la configuration initiale si vous choisissez de rétablir votre environnement de travail précédent."
 
 #: en_US/readme-live-image.xml:78(para)
 msgid "The BIOS on older computers may not include a choice you desire, such as network booting. If your computer can only boot from floppy diskette or hard disk, you may be unable to experience this Live image on your computer."
-msgstr "Les BIOS des anciens ordinateurs peuvent ne pas inclure le choix désiré, tel que le démarrage réseau. Si votre ordinateur peut seulement démarrer depuis une disquette ou un disque dur, vous serez incapable d'expérimenter cette image live sur votre ordinateur."
+msgstr "Le BIOS de certains anciens ordinateurs n'inclut peut être pas le choix que vous voulez, comme le démarrage depuis le réseau. Si votre ordinateur peut uniquement démarrer à partir d'une disquette ou d'un disque dur, vous ne pourrez probablement pas utiliser cette image Live sur votre ordinateur."
 
 #: en_US/readme-live-image.xml:82(para)
 msgid "You may wish to see if an updated BIOS is available from the manufacturer of your computer. A BIOS update may offer additional boot menu choices, but requires care to install properly. Consult the manufacturer's documentation for more information. Otherwise, ask a friend if you can try running this Live image on their newer computer."
-msgstr "Vous pourriez souhaiter savoir si un BIOS mis à jour est disponible chez le fabricant de votre ordinateur. Une mise à jour du BIOS peut offrir des choix supplémentaires dans le menu de démarrage, mais nécessite de l'attention pour être installée proprement. Consultez la documentation du fabricant pour plus d'information. Autrement, demandez à un ami si vous pouvez essayer de lancer cette image live sur son ordinateur plus récent."
+msgstr "Vous pourriez souhaiter savoir si une mise à jour de votre BIOS est disponible chez le fabricant de votre ordinateur. Une mise à jour de BIOS peut parfois fournir des choix de démarrage supplémentaires, mais nécessite une grande attention pour être installé correctement. Consultez la documentation de votre fabricant pour davantage d'informations. Autrement, demandez à des amis si vous pouvez tester cette image Live sur leurs ordinateurs plus récents."
 
 #: en_US/readme-live-image.xml:90(title)
 msgid "Benefits"
@@ -134,29 +138,27 @@
 
 #: en_US/readme-live-image.xml:91(para)
 msgid "The following benefits accrue with a Live image:"
-msgstr "Les avantages suivants sont accrus avec une image live :"
+msgstr "Vous profiterez des avantages suivants avec une image Live :"
 
 #: en_US/readme-live-image.xml:94(para)
 msgid "While running this Live image, you are in control, and are not limited to a set of screenshots or options chosen by others. Select which tasks or applications to explore with complete freedom."
-msgstr "En utilisant cette image live, vous contrôlez, et n'êtes pas limité par un éventail de captures d'écran et d'options choisies par les autres. Sélectionnez quelles tâches ou applications explorer avec une totale liberté."
+msgstr "En utilisant cette image Live, vous avez le contrôle et n'êtes pas limité à un ensemble de copies d'écran ou d'options choisis par d'autres. Sélectionnez quelles tâches ou logiciels vous voulez découvrir en totale liberté."
 
 #: en_US/readme-live-image.xml:100(para)
 msgid "You can experiment with this Live image with no disruption to your previous computing environment, documents, or desktop. Hibernate your current operating system, restart with the Live image, and restart the original operating system when finished. Your previous environment returns with no changes made."
-msgstr ""
-"Vous pouvez expérimentez cette image live sans rupture avec votre environnement de travail, vos documents et votre bureau précédents, . "
-"Arrêtez votre système d'exploitation actuel, redémarrez avec l'image live, et redémarrez votre système d'exploitation original dés que vous aurez fini. Votre environnement précedent vous est rendu sans qu'aucun changement n'y soit fait."
+msgstr "Vous pouvez essayer cette image Live sans perturber votre environnement de travail, vos documents ou votre bureau précédents. Mettez en hibernation votre système d'exploitation actuel, redémarrez avec cette image Live, et redémarrez à nouveau avec votre système d'exploitation originel dès que vous aurez fini. Votre environnement précédent vous est rendu sans aucune modification apportée."
 
 #: en_US/readme-live-image.xml:107(para)
 msgid "You can use the Live image to evaluate whether all of your hardware devices are recognized and properly configured."
-msgstr "Vous pouvez utiliser cette image live pour évaluer si tout vos périphériques matériels sont reconnus et correctement configurés."
+msgstr "Vous pouvez utiliser l'image Live pour déterminer si tous vos périphériques sont reconnus et correctement configurés."
 
 #: en_US/readme-live-image.xml:110(title)
 msgid "Full Hardware Recognition"
-msgstr "Matériel entièrement reconnu"
+msgstr "Reconnaissance complète du matériel"
 
 #: en_US/readme-live-image.xml:111(para)
 msgid "In some cases, the Live image does not offer the full range of hardware support seeing in an installed Fedora system. You may be able to manually configure support in the Live image, but must repeat these steps each time you use the Live image."
-msgstr "Dans certains cas, l'image live n'offre pas la gamme entière de matériel supporté dans une installation de Fedora. Vous pouvez avoir la possibilité de configurer ce support dans l'image live, mais vous devrez répétez ces étapes à chaque fois que vous utiliserez l'image live."
+msgstr "Dans certains cas, l'image Live n'offre pas le support matériel complet constaté dans un système Fedora installé. Il est possible de configurer manuellement le support du matériel dans l'image Live, mais dans ce cas il sera nécessaire de répéter ces étapes à chaque utilisation de l'image Live."
 
 #: en_US/readme-live-image.xml:119(para)
 msgid "You can use the Live image to try different desktop environments such as GNOME, KDE, XFCE, or others. None of these choices require you to reconfigure an existing Linux installation on your computer."
@@ -164,88 +166,88 @@
 
 #: en_US/readme-live-image.xml:127(title)
 msgid "Caveats"
-msgstr "Désavantages"
+msgstr "Inconvénients"
 
 #: en_US/readme-live-image.xml:128(para)
 msgid "The Live image also involves some drawbacks in exchange for convenience:"
-msgstr "L'image live entraîne également quelques inconvénients en échange d'avantages :"
+msgstr "L'image Live implique également quelques inconvénients en échange de ces avantages :"
 
 #: en_US/readme-live-image.xml:132(para)
 msgid "While using this Live image, your computer may be much slower to respond or require more time to complete tasks than with a system installed to hard disk. CD and DVD discs provide data to the computer at a much slower rate than hard disks. Less of your computer's system memory is available for loading and running applications. Running the Live image from RAM trades higher memory usage for faster response times."
-msgstr "Pendant l'utilisation de cette image live, votre ordinateur peut être plus lent à répondre ou demander plus de temps pour exécuter une tâche qu'avec un système installé sur disque dur. Les disques CD et DVD fournissent les données à votre ordinateur à un débit bien moins élevé que les disques durs. Moins de mémoire système de votre ordinateur est disponible pour charger et lancer des applications. Lancer l'image live depuis la RAM permet une plus grande utilisation de la mémoire pour des temps de réponse plus rapides."
+msgstr "Lors de l'utilisation de cette image Live, votre ordinateur peut mettre bien plus de temps à répondre ou nécessiter plus de temps pour effectuer des tâches par rapport à un système installé sur le disque dur. Les CD et DVD transfèrent les données à l'ordinateur à un débit bien moins élevé que les disques durs. La disponibilité de la mémoire système de votre ordinateur est également moindre pour charger et lancer des applications. Le lancement de l'image Live à partir de la RAM échange une utilisation plus importante de la mémoire contre une rapidité accrue."
 
 #: en_US/readme-live-image.xml:141(para)
 msgid "To fit space constraints, fewer installed applications are included than in a full installation of Fedora. Your favorite applications may not be present in this Live image, even though they may be present and run quite well in a full installation of Fedora."
-msgstr "Pour convenir aux limites de place, moins d'applications sont incluses que sur une installation complète de Fedora. Vos applications favorites pourraient ne pas être présente dans cette image live, même si elles peuvent être présentes et trés bien fonctionner dans une installation complète de Fedora."
+msgstr "Pour se conformer aux contraintes d'espace, moins de logiciels installés sont inclus par rapport à une installation complète de Fedora. Vos applications préférées pourraient ne pas être présentes dans cette image Live, alors qu'elles le seront et fonctionneront parfaitement dans une installation complète."
 
 #: en_US/readme-live-image.xml:148(para)
 msgid "At this time, you cannot permanently install new applications in the Live image. To try other applications, or newer versions of existing applications, you must generally install Fedora on your computer. You may be able to temporarily install or update applications, however, if you have sufficient system memory. Most systems require more than 512 MB RAM for installations or updates to succeed. These changes will be lost when you shut down the Live image."
-msgstr "Pour le moment, vous ne pouvez pas installer définitivement de nouvelles applications dans l'image live. Pour essayer d'autres applications ou des versions plus récentes des applications déjà installées, vous devez généralement installer Fedora sur votre ordinateur. Vous pouvez avoir la possibilité d'installer ou de mettre à jour des applications, cependant, vous devez avoir une mémoire système suffisante. La plupart des systèmes nécessitent plus de 512 Mo de RAM pour effectuer les installations et mises à jour avec succés."
+msgstr "Pour le moment, vous ne pouvez pas installer de nouveaux logiciels de manière permanente dans l'image Live. Pour essayer d'autres applications ou de nouvelles versions d'applications existantes, vous devez généralement installer Fedora sur votre ordinateur. Néanmoins, vous pouvez peut-être installer ou mettre à jour temporairement des logiciels, si vous avez suffisamment de mémoire système. La plupart des systèmes nécessiteront plus de 512 Mio de mémoire vive pour que les installations ou mises à jour réussissent. Ces modifications seront perdues lorsque vous éteindrez l'image Live."
 
 #: en_US/readme-live-image.xml:158(para)
 msgid "Changes may also evaporate if your system's memory usage forces the system to reread the original software or settings from the Live image. This behavior is peculiar to a Live image and does not occur in a full installation of Fedora."
-msgstr "Les modifications peuvent aussi disparaître si l'utilisation de votre mémoire système force le système à relire le logiciel original ou les paramètres de l'image live. Ce comportement est spécifique à une image live et n'arrive pas sur une installation complète de Fedora."
+msgstr "Les modifications peuvent également s'évanouir si l'utilisation de la mémoire force le système à relire les logiciels ou les réglages originels à partir de l'image Live. Ce comportement est spécifique aux images Live et ne se produit pas dans une installation complète de Fedora."
 
 #: en_US/readme-live-image.xml:166(title)
 msgid "Experimenting with the Live image"
-msgstr "Expérimenter avec l'image live"
+msgstr "Découverte du système avec l'image Live"
 
 #: en_US/readme-live-image.xml:167(para)
 msgid "As you explore the the cascading menus on or around the desktop, look for application programs you may wish to run. In addition, you may wish to explore other capabilities."
-msgstr ""
+msgstr "En explorant les menus et le bureau, recherchez les logiciels que vous pouvez souhaiter utiliser. De plus, n'hésitez pas à découvrir de nouvelles utilisations de votre système."
 
 #: en_US/readme-live-image.xml:171(title)
 msgid "Sharing Existing Data"
-msgstr "Partager des données existantes"
+msgstr "Partage de données existantes"
 
 #: en_US/readme-live-image.xml:172(para)
 msgid "You can share data via mounting existing storage devices, such as:"
-msgstr "Vous pouvez partager des données en montant des périphériques de stockage existants tels que :"
+msgstr "Vous pouvez partager des données en montant les périphériques de stockage existants, tels que :"
 
 #: en_US/readme-live-image.xml:176(para)
 msgid "floppy diskettes"
-msgstr "les disquettes"
+msgstr "des disquettes"
 
 #: en_US/readme-live-image.xml:179(para)
 msgid "USB drives"
-msgstr "les disques USB"
+msgstr "des lecteurs USB"
 
 #: en_US/readme-live-image.xml:182(para)
-#, fuzzy
 msgid "disk partitions"
-msgstr "partion de disques"
+msgstr "partitions de disque"
 
 #: en_US/readme-live-image.xml:187(title)
 msgid "Making a Backup Copy of Data"
-msgstr "Faire une copie de sauvegarde de vos données"
+msgstr "Création d'un copie de sauvegarde de vos données"
 
 #: en_US/readme-live-image.xml:188(para)
 msgid "You may use this Live image to make backup or archival copies of data, if your computer system includes:"
-msgstr "Vous pouvez utiliser cette image live pour faire une sauvegarde ou des copies d'archives des données, si votre ordinateur inclus :"
+msgstr "Vous pouvez utiliser cette image Live pour créer des copies de sauvegarde ou d'archivage de vos données si votre système comporte :"
 
 #: en_US/readme-live-image.xml:192(para)
 msgid "a CD or DVD burning drive"
-msgstr "un graveur CD ou DVD"
+msgstr "un graveur de CD ou de DVD"
 
 #: en_US/readme-live-image.xml:195(para)
 msgid "a hard disk with ample free space"
-msgstr "un disque dur avec un espace libre suffisant"
+msgstr "un disque dur avec suffisamment d'espace libre"
 
 #: en_US/readme-live-image.xml:198(para)
 msgid "Files normally in use by your previous operating system when it is running are not in use in the Live image. Therefore you can use the Live image to copy files that are problematic for backup software in the previous operating system."
-msgstr "Les fichiers utilisés normalement par votre système d'exploitation précédent lorsque vous l'utiliser ne sont pas utilisés dans l'image live. Donc vous pouvez utiliser l'image live pour copier des fichiers qui posent problème aux logiciels de sauvegarde de votre système d'exploitation précédent."
+msgstr "Les fichiers normalement utilisés lors du fonctionnement de votre système d'exploitation déjà installé, ne sont pas utilisés par l'image Live. Vous pouvez ainsi utiliser l'image Live pour copier les fichiers qui posent des problèmes avec les logiciels de sauvegarde dans votre système d'exploitation précédent."
 
 #: en_US/readme-live-image.xml:205(title)
 msgid "Installing Fedora from the Live Image"
-msgstr "Installer Fedora depuis l'image live"
+msgstr "Installation de Fedora à partir de l'image Live"
 
 #: en_US/readme-live-image.xml:206(para)
 msgid "To install the system from this Live image, run the LiveOS as described above, and select the <emphasis>Install to Hard Disk</emphasis> application on the Desktop. Using the resulting Fedora installation, you can customize the software and configuration to your liking on a persistent basis."
-msgstr "Pour installer ce système depuis cette image live, lancez l'image live comme décrite ci-dessus, et sélectionnez l'application <emphasis>Installer sur le disque dur</emphasis> sur le bureau. En utilisant l'installation de Fedora résultante, vous pouvez personnaliser les logiciels et la configuration à votre goût sur une base persistante."
+msgstr "Pour installer Fedora à partir de l'image Live, lancez le système Live comme décrit ci-dessus et sélectionnez <emphasis>Installation sur le disque dur</emphasis> sur le bureau. En utilisant l'installation Fedora obtenue, vous pourrez personnaliser les logiciels et la configuration comme vous le souhaitez et de manière pérenne."
 
 #. Put one translator per line, in the form of NAME <EMAIL>, YEAR1, YEAR2.
 #: en_US/readme-live-image.xml:0(None)
 msgid "translator-credits"
-msgstr "Michaël Ughetto <telimektar1er@gmail.com> 2008"
-
-
+msgstr ""
+"Michaël Ughetto <telimektar1er@gmail.com>, 2008."
+"Robert-André Mauchin <zebob.m@pengzone.org>, 2008."
+