--- BoguesEtDemandesDeFonctionnalites.old	2007-02-18 12:18:17.000000000 +0100
+++ BoguesEtDemandesDeFonctionnalites	2007-02-18 18:24:26.000000000 +0100
@@ -1,21 +1,21 @@
 ## page was renamed from fr FR/BoguesEtDemandes
 ## original : http://fedoraproject.org/wiki/BugsAndFeatureRequests
 
-= Directives de rapport sur Bugzilla =
+= Guide pour le rapport de bogues =
 
-[https://bugzilla.redhat.com/bugzilla/index.cgi Bugzilla] est un outil de traque utilisé par le Projet Fedora pour obtenir un retour des utilisateurs et des développeurs sur les bogues et les demandes pour le perfectionnement de Fedora.
+[https://bugzilla.redhat.com/bugzilla/index.cgi Bugzilla] est un outil de traque des bogues utilisé par le Projet Fedora pour obtenir le retour des utilisateurs et des développeurs concernant les bogues et les demandes pour le perfectionnement de Fedora.
 
-Parfois, il manque des informations aux nouveaux rapports de bogues, ou bien ils sont imprécis ou ont d'autres défauts. Ceci est un gaspillage de temps précieux. Les personnes qui rapportent ce genre de bogues font perdre leur temps aux développeurs en les classant inexactement, et ceux-ci doivent dépenser plus de temps sur ces bogues, ce qui leur fait perdre du temps et peut même mener au fait que le bogue soit ignoré ou oublié. Cette page décrit la manière de rapporter efficacement des bogues ou de suggèrer des améliorations de manière constructive.
+Parfois, il manque des informations aux nouveaux rapports de bogues, ou bien ils sont imprécis ou ont d'autres défauts. Ces rapports représentent un gaspillage inutile de la disponibilité des développeurs. Les personnes qui rapportent ce genre de bogues font perdre leur temps aux développeurs en les classant mal, et ceux-ci doivent passer plus de temps sur ces bogues, temps qui ne sera pas utilisé pour la correction de ces bogues, et peut même mener au fait que le bogue soit ignoré ou oublié. Cette page donne des indications pour rapporter efficacement des bogues ou suggérer des améliorations de manière constructive.
 
- ||<tablestyle="background: #e0e8f6; width: 90%;"> ~+'''Vous avez trouvé un problème avec Fedora Core 6 ?''' Visitez la page [:Bugs/FC6Common: bogues FC6 ] pour voir si une correction pour votre problème est déjà connue ''avant'' de rapporter un éventuel bogue.+~ ||
+ ||<tablestyle="background: #e0e8f6; width: 90%;"> ~+'''Vous avez trouvé un bogue dans Fedora Core 6 ?''' Visitez la page [:Bugs/FC6Common: bogues FC6 ] pour voir si la solution de votre problème est déjà connue ''avant'' de rapporter un éventuel bogue.+~ ||
 
 == Notes ==
 
- * Le Projet Fedora a l'objectif d'être une plateforme construite exclusivement depuis le libre et les logiciels ouverts. Les suggestions pour inclure un support pour les logiciels propriétaires ou autres logiciels qui posent des problèmes ne sont pas constructives. Consultez la page ForbiddenItems (en) pour plus de détails à ce propos.
+ * Le Projet Fedora a l'objectif d'être une plate-forme construite exclusivement depuis le libre et les logiciels ouverts. Les suggestions pour inclure des logiciels propriétaires ou d'autres logiciels qui posent des problèmes de licence ne servent à rien. Consultez la page ForbiddenItems (en) pour plus de détails à ce propos.
 
- * Si un paquetage logiciel particulier est fortement utilisé, il est plus probable que des utilisateurs trouveront des bogues ou des suggestions pour celui-ci. Cela ne signifie pas que ce logiciel est plus bogué que les autres.
+ * Si un paquetage logiciel particulier est très utilisé, il est plus probable que des utilisateurs trouvent des bogues ou des suggestions pour celui-ci. Cela ne signifie pas que ce logiciel est plus bogué que les autres.
 
- * Les développeurs ne saluent généralement pas les rapports de bogue ni ne les commentent à moins qu'ils ne fournissent un retour très constructif ou requièrent plus d'informations de votre part. Cela ne veut pas dire que votre rapport de bogue n'a pas été utile. Continuez à les faire parvenir !
+ * Les développeurs ne valident généralement pas les rapports de bogue ni ne les commentent à moins qu'ils ne fournissent un retour très constructif ou qu'ils aient besoin de plus d'informations de votre part. Cela ne veut pas dire que votre rapport de bogue n'a pas été utile. Continuez à les faire parvenir !
 
  * L'équipe de triage Fedora est actuellement à la recherche de nouveau volontaires. Si vous êtes intéressé, veuillez consulter la page BugZappers (en).
 
@@ -35,103 +35,103 @@
 
 == Pour commencer ==
 
- * Si vous êtes nouveau avec le Bugzilla de Fedora, la première étape à faire est de vous créer un compte sur celui-ci. C'est un processus rapide, n'hésitez pas à commencer tout de suite :
-  https://bugzilla.redhat.com/bugzilla/createaccount.cgi
+ * Si vous n'avez jamais utilisé le Bugzilla de Fedora, la première étape est de vous créer un compte sur celui-ci. C'est un processus rapide, n'hésitez pas à commencer tout de suite :
+  https://bugzilla.redhat.com/bugzilla/createaccount.cgi (en)
 
- * Lisez la FAQ pour des détails importants concernant Bugzilla :
-  https://bugzilla.redhat.com/bugzilla/page.cgi?id=redhatfaq.html 
+ * Lisez la FAQ pour les détails importants concernant Bugzilla :
+  https://bugzilla.redhat.com/bugzilla/page.cgi?id=redhatfaq.html (en) 
 
  * Quand vous rapportez un bogue, il est important que vous choisissiez les bons Produit, Version et Composant. En faisant cela vous soulagerez le développeur/mainteneur du paquetage auquel il est affecté, et aiderez à résoudre les bogues plus rapidement. Si vous assignez cela à un mauvais composant, il peut être réassigné au bon, donc ne faites jamais l'économie d'un rapport de bogue uniquement parce que vous ne savez pas à quel composant l'assigner.
 
-== Étiquette de l'utilisateur ==
+== Guide de l'utilisateur respectueux ==
 
- * https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
+ * https://bugzilla.mozilla.org/page.cgi?id=etiquette.html (en)
 
 == Comprendre le Statut et la Résolution ==
 
-Après avoir rapporté un bogue, vous pouvez obtenir des réactions d'autres utilisateurs ou le développeur peut modifier le status et/ou la résolution du rapport de bogue. Pour une explication :
+Après avoir rapporté un bogue, vous pouvez obtenir des réactions d'autres utilisateurs, et parfois un développeur peut modifier le "status" et/ou la "résolution" du rapport de bogue. Pour comprendre la signification de ces opérations:
 
- https://bugzilla.redhat.com/bugzilla/page.cgi?id=fields.html#bug_status
+ https://bugzilla.redhat.com/bugzilla/page.cgi?id=fields.html#bug_status (en)
 
 == Rapporter des Bogues ==
 
- * http://www.chiark.greenend.org.uk/~sgtatham/bugs.html
+ * http://www.chiark.greenend.org.uk/~sgtatham/bugs.html (en)
 
 == Demandes d'Améliorations ==
 
-En les remplissant, ajoutez le mot-clé « FutureFeature » au rapport. Veillez à fournir assez d'informations et à faire preuve de logique afin qu'elles soient examinées.
+Lorsque vous demandez l'ajout de nouvelles fonctionnalités, ajoutez le mot-clé « FutureFeature » au rapport. Veillez à fournir assez d'informations et à faire preuve de logique afin qu'elles soient examinées.
 
 == Sécurité ==
 
-Nous faisons particulièrement attention aux bogues concernant la sécurité. Lisez la page [:Security/Bugs: Security Bugs] afin de comprendre ce processus particulier.
+Nous faisons particulièrement attention aux bogues concernant la sécurité. Lisez la page [:Security/Bugs: Security Bugs] (en) afin de comprendre ce processus particulier.
 
 == Déboguage ==
 
- * StackTraces
- * JavaStackTraces
+ * StackTraces (en)
+ * JavaStackTraces (en)
 
 == Noyau ==
 
-Si vous rapportez un blocage du système ou un plantage du noyau, vérifiez que la cause n'est pas due à un problème matériel :
+Si votre rapport concerne un blocage du système ou un plantage du noyau, vérifiez que la cause n'est pas due à un problème matériel :
 
- HardwareProblems
+ HardwareProblems (en)
 
-Le numéro exact de version, la sortie de lspci et d'ifconfig, d'autres informations matérielles et un résumé de tous les autres changements que vous avez pu avoir effectués sont très utiles. Si vous utilisez un noyau personnalisé, indiquez-le sur [http://bugzilla.kernel.org/ bugzilla.kernel.org] à la place.
+Le numéro exact de version, la sortie des commandes lspci et ifconfig, d'autres informations matérielles et un résumé de tous les autres changements que vous avez pu avoir effectués sont très utiles. Si vous utilisez un noyau personnalisé, indiquez-le plutôt sur [http://bugzilla.kernel.org/ bugzilla.kernel.org].
 
 
 == Xorg ==
 
-Des informations sur le déboguage de Xorg dans Fedora sont disponibles sur la page [:Xorg/Debugging: Xorg Debugging].
+Des informations sur le déboguage de Xorg dans Fedora sont disponibles sur la page [:Xorg/Debugging: Xorg Debugging] (en).
 
 
 == OpenOffice.org (OOo) ==
 
-OOo est plutôt gros, est lié à et utilise un grand nombre de choses, et par conséquent soulève un grand nombre de problèmes qui ne sont pas toujours des bogues d'OOo, ce qui fait que :
+OOo est un programme plutôt gros, utilise et est lié à un grand nombre de choses, et par conséquent soulève un grand nombre de problèmes qui ne sont pas toujours des bogues d'OOo, ce qui fait que :
 
- * Un plantage au démarrage peut-être celui de certaines bibliothèques OpenGL, pas d'OOo lui-même.
+ * Un plantage au démarrage peut-être lié à certaines bibliothèques OpenGL, pas à OOo lui-même.
   * Prenez la source de test sur [https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=108799].
   * Lancez {{{gcc testgl.c -o testgl -L/usr/X11R6/lib -lX11 -lGL}}} pour la compiler.
   * Si cela plante de nouveau, votre bogue ne vient probablement pas d'OOo.
-  * Si cela se produit sur votre machine x86_64, rappellez-vous qu'OOo est une application 32-bits, que Firefox est 32-bits sur la même plateforme, regardez donc s'il y a le même problème.
+  * Si cela se produit sur votre machine x86_64, rappelez-vous qu'OOo est une application 32-bits, que Firefox est 32-bits sur la même plate-forme, regardez donc s'il y a le même problème.
 
- * Vérifiez si d'autres applications similaires se comportent de la même façon. Par exemple, si Firefox/gedit/glxgears font la même chose qu'OOo, il y a peu de chance que ce soit un bogue d'OOo.
+ * Vérifiez si d'autres applications similaires se comportent de la même façon. Par exemple, si Firefox, gedit et glxgears ont le même problème qu'OOo, il y a peu de chance que ce soit un bogue d'OOo.
 
- * Si une boîte de dialogue de plantage apparaît, collez la trace de la pile d'execution qu'elle vous donne dans le rapport de bogue.
+ * Si une boîte de dialogue de plantage apparaît, collez la trace de la pile d'exécution qu'elle vous donne dans le rapport de bogue.
 
- * Indiquez si vous utilisez KDE ou GNOME étant donné que cela importe souvent. Si vous avez installés des thèmes KDE non fournis par Fedora, essayez un de ceux supportés.
+ * Indiquez si vous utilisez KDE ou GNOME étant donné que cela importe souvent. Si vous avez installé des thèmes KDE non fournis par Fedora, essayez un de ceux supportés.
 
  * S'il y a un message d'avertissement ou d'erreur, indiquez ce qu'il dit.
 
- * Si cela se produit avec un document particulier, attachez-le. Si vous le pouvez, réduisez le document à la plus petite partie de texte qui provoque le problème. « Défilez jusqu'à la page 912 et le graphique est mal placé » est beaucoup moins intéressant que d'avoir un exemple d'une seule page.
+ * Si cela se produit avec un document particulier, joignez-le au rapport de bogue. Si vous le pouvez, réduisez le document à la plus petite partie de texte qui provoque le problème. « Défilez jusqu'à la page 912 et le graphique est mal placé » est beaucoup moins intéressant que d'avoir un exemple d'une seule page.
 
- * Si vous pensez qu'il y a quelque chose qui ne va pas dans ce qui est affiché, attachez une capture d'écran. Il se peut que ''je'' ne puisse pas comprendre ''votre'' description.
+ * Si vous pensez qu'il y a quelque chose qui ne va pas dans ce qui est affiché, joignez une capture d'écran. Il se peut que ''je'' ne puisse pas comprendre ''votre'' description.
 
-
-  Example : « la police de la formule est fausse »
+	
+  Exemple : « la police de la formule est fausse »
 
   Est-ce que c'est la police utilisée dans la zone de texte pour l'édition de la formule ou est-ce que c'est la police utilisée pour afficher la formule ? Vouliez-vous parler de l'éditeur mathématique ou de formules dans la calculatrice ? Une capture d'écran répondrait à ce genre de questions.
 
- * Essayez de ne pas marquer pour les bugs des choses du genre « et cette chose qui n'a aucun rapport ne marche pas » ou « ouais ça l'a corrigé, mais quelque de différent n'est pas toujours pas comme je le veux » -- il est très compliqué de s'occuper de bogues mutants. Il n'y aucun problème avec le fait d'ouvrir plusieurs bogues, et il est plus facile de les fusionner s'ils s'avèrent être la même chose que de les séparer en bogues distincts.
+ * Essayez de ne pas marquer pour les bogues des commentaires du genre « et ce programme - sans rapport avec le reste - ne marche pas » ou « ouais ça l'a corrigé, mais il y a un autre truc qui n'est pas toujours pas comme je voudrais » -- il est très compliqué de s'occuper de bogues mutants. Il n'y aucun problème avec le fait d'ouvrir plusieurs bogues, et il est plus facile de les fusionner s'ils s'avèrent être la même chose que de les séparer en bogues distincts.
 
  * Si vous savez qu'il y a quelque chose d'inhabituel dans votre configuration, signalez-le.
 
-  Examples :
-   * « Des documents .doc créés avec MSWord lancés sous Wine ne s'ouvrent pas dans OOo » comparé à un simple « Des fichiers .doc ne s'ouvrent pas dans OOo »
-   * « Un enregistrement dans un partaga Samba ne marche pas » opposé à « je ne peux pas enregistrer »
+  Exemples :
+   * Dire « Des documents .doc créés avec MSWord lancés sous Wine ne s'ouvrent pas dans OOo » plutôt que simplement: « Des fichiers .doc ne s'ouvrent pas dans OOo »
+   * Signaler  « Un enregistrement dans un partage Samba ne marche pas » est plus précis que: « je ne peux pas enregistrer »
 
- * Si vous pouvez, installez le débogueur et essayez :
+ * Si vous le pouvez, installez le débogueur et essayez :
   {{{
 $> gdb /usr/lib/openoffice.org/program/soffice.bin
 (gdb) run -writer
 (gdb) bt
 }}}
-  Collez la trace de la pile d'execution dans votre rapport de bogue.
+  Collez la trace de la pile d'exécution dans votre rapport de bogue.
 
   ({{{-writer}}} devrait être changé en conséquence : {{{-calc -impress -math -draw}}})
 
- * C'est bien quand quelqu'un trouve qu'un bogue a été résolu dans une mise à jour et le mentionne dans un bogue ancien et encore ouvert, mais ce n'est pas autant utile quand quelqu'un ajoute une note spontanée en disant que le problème est encore là.
+ * C'est bien quand quelqu'un trouve qu'un bogue a été résolu dans une mise à jour et le mentionne dans un bogue ancien et encore ouvert, mais il est inutile d'ajouter une note spontanée en disant que le problème est encore là.
 
- * « C'est inacceptable » n'est pas une pratique très motivante.
+ * Les commentaires du type « C'est inacceptable » ne sont pas très motivants.
 
 == Références ==
 