--- fedora-web.f13-alpha.fr.po	2010-04-05 12:21:47.000000000 +0200
+++ fedora-web.f13-alpha.tom.po	2010-04-05 12:23:24.000000000 +0200
@@ -3,7 +3,7 @@
 # Copyright (C) 2007 Fedora Project
 # This file is distributed under the same license as the project.
 #
-# Thomas Canniot <mrtom@fedoraproject.org>, 2007, 2008, 2009.
+# Thomas Canniot <mrtom@fedoraproject.org>, 2007, 2008, 2009, 2010.
 # Gauthier Ancelin <gauthier.ancelin@laposte.net>, 2007.
 # Johan Cwiklinski <johan@x-tnd.be>, 2008.
 # Sam Friedmann <sfriedma@redhat.com>, 2009.
@@ -12,9 +12,9 @@
 "Project-Id-Version: fedora-web.master-fedoraproject.fr_version_modifiée1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
 "POT-Creation-Date: 2010-03-10 13:04-0600\n"
-"PO-Revision-Date: 2009-12-15 09:05+0100\n"
+"PO-Revision-Date: 2010-04-05 12:23+0200\n"
 "Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
-"Language-Team: French <fedora-trans-fr@redhat.com>\n"
+"Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -61,17 +61,17 @@
 msgstr "Questions juridiques"
 
 #: data/content/contact.html:17
-#, fuzzy
 msgid ""
 "If you have any legal questions that can be discussed in public, post to the "
 "<a href=\"http://lists.fedoraproject.org/mailman/listinfo/legal\">legal</a> "
 "list, or if you have any private legal questions send a mail to legal AT "
 "fedoraproject.org."
 msgstr ""
-"Si vous avez une question juridique qui peuvent qui peuvent être discutées "
-"en public, postez à <a href=\"http://www.redhat.com/mailman/listinfo/ fedora-"
-"legal-list\">fedora-legal-list</a> ou si vous avez une question juridique "
-"privée envoyez un courriel à legal AT fedoraproject.org."
+"Si vous avez des questions juridiques qui peuvent être discutées "
+"en public, postez à <a href=\"a href=\"http://lists.fedoraproject."
+"org/mailman/listinfo/legal\">fedora-legal-list</a> ou si vous avez des "
+"questions juridiques d'ordre "
+"privée, envoyez un courriel à legal AT fedoraproject.org."
 
 #: data/content/contact.html:19
 msgid "Press"
@@ -557,7 +557,7 @@
 
 #: data/content/get-fedora-ppc.html:15 data/content/get-fedora.html:13
 msgid "Go to KDE and other Spins!"
-msgstr ""
+msgstr "Voir la version KDE et les autres !"
 
 #: data/content/get-fedora-ppc.html:19
 #, python-format
@@ -602,7 +602,6 @@
 "%s Go, format ISO, 1 DVD image disque pour ordinateurs compatibles à PowerPC"
 
 #: data/content/get-fedora.html:10
-#, fuzzy
 msgid "Did someone say... &ldquo;<a href=\"get-prerelease\">Alpha</a>&rdquo;?"
 msgstr "Vous avez dit... &ldquo;<a href=\"get-prerelease\">Béta</a>&rdquo; ?"
 
@@ -667,13 +666,12 @@
 msgstr "IRC : #fedora sur irc.freenode.org"
 
 #: data/content/get-help.html:17
-#, fuzzy
 msgid ""
 "Mailing List: <a href=\"http://lists.fedoraproject.org/mailman/listinfo/users"
 "\">users</a>"
 msgstr ""
-"Liste de diffusion : <a href=\"http://www.redhat.com/mailman/listinfo/fedora-"
-"list\">Fedora-list</a>"
+"Liste de diffusion : <a href=\"http://lists.fedoraproject."
+"org/mailman/listinfo/users\">utilisateurs</a>"
 
 #: data/content/get-help.html:18
 msgid "Forum: <a href=\"http://fedoraforum.org/\">Fedora Forum</a>"
@@ -754,15 +752,15 @@
 "des problèmes, vous permettant de les aider si vous connaissez la solution."
 
 #: data/content/get-help.html:34
-#, fuzzy
 msgid ""
 "The mailing list for end-user support with Fedora is <a href=\"http://lists."
 "fedoraproject.org/mailman/listinfo/users\">users</a> and can be subscribed "
 "to by following that link."
 msgstr ""
 "La liste de diffusion pour le support de l'utilisateur final avec Fedora est "
-"<a href=\"http://www.redhat.com/mailman/listinfo/fedora-list\">fedora-list</"
-"a> et peut être souscrite par le lien."
+"<a href=\"http://lists.fedoraproject.org/mailman/listinfo/users\">"
+"utilisateurs</"
+"a>. Vous pouvez vous y inscrire depuis le lien suivant."
 
 #: data/content/get-help.html:36
 msgid "Forum Support"
@@ -810,13 +808,12 @@
 "fedoraproject.org\">docs.fedoraproject.org</a>."
 
 #: data/content/get-prerelease.html:7
-#, fuzzy
 msgid "Get the next Fedora - Fedora Project"
-msgstr "Contacter - Projet Fedora"
+msgstr "Télécharger la prochaine Fedora - Projet Fedora"
 
 #: data/content/get-prerelease.html:12
 msgid "Get the next Fedora, right now."
-msgstr ""
+msgstr "Téléchargez la prochaine Fedora, dès maintenant."
 
 #: data/content/get-prerelease.html:13
 #, python-format
@@ -833,9 +830,8 @@
 "version</a> pour plus d'informations."
 
 #: data/content/get-prerelease.html:13
-#, fuzzy
 msgid "http://fedoraproject.org/wiki/Fedora_13_Alpha_release_notes"
-msgstr "<a href=\"http://fedoraproject.org/wiki/FedoraEvents\">Évènements</a>"
+msgstr "http://fedoraproject.org/wiki/Fedora_13_Alpha_release_notes"
 
 #: data/content/index.html:10
 msgid "Fedora 12: Unite."
@@ -1111,22 +1107,20 @@
 msgstr "Clés actuellement utilisées"
 
 #: data/content/keys.html:67
-#, fuzzy
 msgid ""
 "Download: <a href=\"https://fedoraproject.org/static/E8E40FDE.txt\">Fedora "
 "Project</a>"
 msgstr ""
-"Télécharger : <a href=\"https://fedoraproject.org/static/0B86274E.txt"
-"\">Projet Fedora</a>"
+"Télécharger : <a href=\"https://fedoraproject.org/static/E8E40FDE.txt\">"
+"Projet Fedora</a>"
 
 #: data/content/keys.html:68
-#, fuzzy
 msgid ""
 "Download: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0xE8E40FDE&op=get\">keys.gnupg.net</a>"
 msgstr ""
 "Télécharger : <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
-"search=0x0B86274E&op=get\">keys.gnupg.net</a>"
+"search=0xE8E40FDE&op=get\">keys.gnupg.net</a>"
 
 #: data/content/keys.html:80
 msgid ""
@@ -1428,6 +1422,9 @@
 "of the PGP signature.  It does <strong>not</strong> specify the type of hash "
 "used to verify the .iso files."
 msgstr ""
+"Notez que la ligne <em>Hash: SHA1</em> présente dans le fichier CHECKSUM "
+"fait partie de la signature PGP.  Elle ne sert <strong>pas</strong> à "
+"préciser le type de hashage utilisé pour vérifier les fichiers .iso."
 
 #: data/content/verify.html:15
 msgid ""
@@ -1505,10 +1502,8 @@
 "checksum de l'ISO corresponde à : "
 
 #: data/content/verify.html:56
-#, fuzzy
 msgid "If the output states that the file is valid, then you're good to go!"
-msgstr ""
-"Si la sortie vous assure que le fichier est valide, vous pouvez y aller !"
+msgstr "Si la sortie indique que le fichier est valide, vous pouvez y aller !"
 
 #: data/content/e/404.html:10
 msgid "Sorry!  We couldn't find that file"
@@ -1563,12 +1558,12 @@
 msgstr "Téléchargez Fedora !"
 
 #: data/templates/foot.html:9
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "&copy; 2010 Red Hat, Inc. and others.  For comments or queries, please <a "
 "href=\"%s/%s/contact\">contact us</a>."
 msgstr ""
-"Copyright &copy; 2009 Red Hat, Inc. et autres. Pour des commentaires ou des "
+"&copy; 2010 Red Hat, Inc. et autres. Pour des commentaires ou des "
 "questions, merci de <a href=\"%s/%s/contact\">nous contacter</a>."
 
 #: data/templates/foot.html:12
@@ -1670,9 +1665,8 @@
 msgstr "Langue du site web"
 
 #: data/templates/sidebar.html:37
-#, fuzzy
 msgid "Hosting Sponsor"
-msgstr "Sponsors"
+msgstr "Sponsors d'hébergement"
 
 #~ msgid "KDE fans, go here!"
 #~ msgstr "Fans de KDE, allez ici !"