--- yum.master.fr.po.20080217	2008-02-17 11:40:52.000000000 +0100
+++ yum.master.fr.po	2008-02-17 11:38:33.000000000 +0100
@@ -8,7 +8,7 @@
 "Project-Id-Version: yum.master\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-02-08 09:51-0700\n"
-"PO-Revision-Date: 2008-02-17 11:40+0100\n"
+"PO-Revision-Date: 2008-02-17 11:37+0100\n"
 "Last-Translator: Johan Cwiklinski <johan@x-tnd.be>\n"
 "Language-Team: fr_FR <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -30,7 +30,7 @@
 
 #: ../callback.py:52 ../callback.py:58
 msgid "Obsoleted"
-msgstr "Déprécié"
+msgstr "Obsolète"
 
 #: ../callback.py:54 ../output.py:533
 msgid "Updated"
@@ -137,6 +137,7 @@
 msgstr "Lancement de rpm_check_debug"
 
 #: ../cli.py:372 ../yum/__init__.py:2692
+# Aucune idée
 msgid "ERROR with rpm_check_debug vs depsolve:"
 msgstr ""
 
@@ -193,7 +194,7 @@
 #: ../yum/__init__.py:2283
 #, python-format
 msgid "Not Updating Package that is already obsoleted: %s.%s %s:%s-%s"
-msgstr "Pas de mise à jour des paquetages qui ont déjà été dépréciés : %s.%s %s:%s-%s"
+msgstr "Pas de mise à jour des paquetages qui ont déjà été rendus obsolètes : %s.%s %s:%s-%s"
 
 #: ../cli.py:561
 #, python-format
@@ -236,7 +237,6 @@
 msgstr "Aucun paquetage trouvé pour %s"
 
 #: ../cli.py:734
-# Pas sûr du tout pour celle là
 msgid "Cleaning up Everything"
 msgstr "Nettoyage..."
 
@@ -370,18 +370,16 @@
 msgstr "désactive un ou plusieurs dépôts (jokers autorisés)"
 
 #: ../cli.py:1105
-# J'ai supposé ici que "glob" signifiait "gloabally", mais cela reste totu de même obscur
 msgid "exclude package(s) by name or glob"
 msgstr "exclut des paquetages par nom ou globalement"
 
 #: ../cli.py:1107
-# du fait de l'utilistion de dépôt principal, il faut spécifier pour l'autre
 msgid "disable exclude from main, for a repo or for everything"
 msgstr "désactive l'exclusion pour le dépôt principal, pour un dépôt particulier ou pour tout"
 
 #: ../cli.py:1110
 msgid "enable obsoletes processing during updates"
-msgstr "active le traitement des paquetages dépréciés pendant les mises à jour"
+msgstr "active le traitement des paquetages obsolètes pendant les mises à jour"
 
 #: ../cli.py:1112
 msgid "disable Yum plugins"
@@ -659,6 +657,7 @@
 
 #: ../output.py:593
 #, python-format
+# Aucune idée
 msgid ""
 "\n"
 " Current download cancelled, %sinterrupt (ctrl-c) again%s within %s%s%s "
@@ -679,7 +678,7 @@
 
 #: ../output.py:616
 msgid "obsoleted"
-msgstr "déprécié"
+msgstr "obsolète"
 
 #: ../output.py:617
 msgid "erased"
@@ -848,7 +847,7 @@
 
 #: ../yumcommands.py:221 ../yumcommands.py:225
 msgid "Obsoleting Packages"
-msgstr "Dépréciation des paquetages"
+msgstr "Obsolescence des paquetages"
 
 #: ../yumcommands.py:226
 msgid "Recently Added Packages"
@@ -931,6 +930,7 @@
 msgstr "Recherche dans les paquetages :"
 
 #: ../yumcommands.py:513
+# Aucune idée
 msgid "Update packages taking obsoletes into account"
 msgstr ""
 
@@ -1110,7 +1110,7 @@
 #: ../yum/depsolve.py:134
 #, python-format
 msgid "Searching pkgSack for dep: %s"
-msgstr ""
+msgstr "Recherche dans le regroupement pour la dépendance : %s"
 
 #: ../yum/depsolve.py:163
 #, python-format
@@ -1163,13 +1163,14 @@
 
 #: ../yum/depsolve.py:340
 #, python-format
+# Correct ? Je n'ai pas la moindre idée du contexte
 msgid "Mode is %s for provider of %s: %s"
-msgstr ""
+msgstr "Le mode est %s pour le fournisseur de %s : %s"
 
 #: ../yum/depsolve.py:344
 #, python-format
 msgid "Mode for pkg providing %s: %s"
-msgstr ""
+msgstr "Mode pour la paquetage qui fournit %s : %s"
 
 #: ../yum/depsolve.py:348
 #, python-format
@@ -1179,12 +1180,12 @@
 #: ../yum/depsolve.py:361
 #, python-format
 msgid "Looking for Obsoletes for %s"
-msgstr "Recherche de dépréciation pour %s"
+msgstr "Recherche d'obsolescence pour %s"
 
 #: ../yum/depsolve.py:373
 #, python-format
 msgid "TSINFO: Obsoleting %s with %s to resolve dep."
-msgstr "TSINFO : dépréciation de %s avec %s pour résoudre les dépendances."
+msgstr "TSINFO : Obsolescence de %s avec %s pour résoudre les dépendances."
 
 #: ../yum/depsolve.py:404
 #, python-format
@@ -1194,6 +1195,7 @@
 #. if there's no update then pass this over to requringFromTransaction()
 #: ../yum/depsolve.py:408
 #, python-format
+# Aucune idée
 msgid "Cannot find an update path for dep for: %s"
 msgstr ""
 
@@ -1210,11 +1212,13 @@
 
 #: ../yum/depsolve.py:481
 #, python-format
+# Aucune idée
 msgid "Potential resolving package %s has newer instance in ts."
 msgstr ""
 
 #: ../yum/depsolve.py:492
 #, python-format
+# Aucune idée
 msgid "Potential resolving package %s has newer instance installed."
 msgstr ""
 
@@ -1329,7 +1333,7 @@
 
 #: ../yum/__init__.py:416
 msgid "Setting up Package Sacks"
-msgstr ""
+msgstr "Configuration du groupe de paquetages"
 
 #: ../yum/__init__.py:458
 #, python-format
@@ -1380,11 +1384,13 @@
 
 #: ../yum/__init__.py:646
 #, python-format
+# Aucune idée
 msgid "Skip-broken round %i"
 msgstr ""
 
 #: ../yum/__init__.py:674
 #, python-format
+# Aucune idée
 msgid "Skip-broken took %i rounds "
 msgstr ""
 
@@ -1408,6 +1414,7 @@
 
 #: ../yum/__init__.py:807
 #, python-format
+# Aucune idée
 msgid "excluding for cost: %s from %s"
 msgstr ""
 
@@ -1423,12 +1430,12 @@
 #: ../yum/__init__.py:867
 #, python-format
 msgid "Reducing %s to included packages only"
-msgstr ""
+msgstr "Réduction de %s aux paquetages inclus uniquement"
 
 #: ../yum/__init__.py:872
 #, python-format
 msgid "Keeping included package %s"
-msgstr ""
+msgstr "Conservation du paquetage inclus %s"
 
 #: ../yum/__init__.py:878
 #, python-format
@@ -1519,23 +1526,25 @@
 
 #: ../yum/__init__.py:1271
 #, python-format
+# L'expression ne me semble pas terrible, "Impossible de supprimer me fichier %s depuis %s" aurait été mieux mais on doit conserver l'ordre des %s :/
 msgid "Cannot remove %s file %s"
-msgstr ""
+msgstr "Impossible de supprimer depuis %s le fichier %s"
 
 #: ../yum/__init__.py:1275
 #, python-format
+# Je ne vois pas comment traduire cela en conservant l'ordre des %s
 msgid "%s file %s removed"
 msgstr ""
 
 #: ../yum/__init__.py:1277
 #, python-format
 msgid "%d %s files removed"
-msgstr ""
+msgstr "%d fichiers de %s supprimés"
 
 #: ../yum/__init__.py:1317
 #, python-format
 msgid "More than one identical match in sack for %s"
-msgstr ""
+msgstr "Plus d'une correspondance identique dans le regroupement pour %s"
 
 #: ../yum/__init__.py:1323
 #, python-format
@@ -1552,8 +1561,9 @@
 
 #: ../yum/__init__.py:1550
 #, python-format
+# %d est un entirer il me semble, à confirmer
 msgid "Searching %d packages"
-msgstr ""
+msgstr "Recherche de %d paquetages"
 
 #: ../yum/__init__.py:1554
 #, python-format
@@ -1566,10 +1576,11 @@
 
 #: ../yum/__init__.py:1569
 msgid "searching in provides entries"
-msgstr ""
+msgstr "recherche dans les entrées fournies"
 
 #: ../yum/__init__.py:1599
 #, python-format
+# Aucune idée
 msgid "Provides-match: %s"
 msgstr ""
 
@@ -1596,6 +1607,7 @@
 
 #: ../yum/__init__.py:1815
 #, python-format
+# tuple ?
 msgid "Package tuple %s could not be found in packagesack"
 msgstr ""
 
@@ -1613,6 +1625,7 @@
 msgstr "Aucun paquetage trouvé pour %s"
 
 #: ../yum/__init__.py:2034
+# Je ne vois pas
 msgid "Package Object was not a package object instance"
 msgstr ""
 
@@ -1623,6 +1636,7 @@
 #. only one in there
 #: ../yum/__init__.py:2051
 #, python-format
+# Aucune idée
 msgid "Checking for virtual provide or file-provide for %s"
 msgstr ""
 
@@ -1655,7 +1669,7 @@
 #: ../yum/__init__.py:2264
 #, python-format
 msgid "Package is already obsoleted: %s.%s %s:%s-%s"
-msgstr "Paquetage déjà déprécié : %s.%s %s:%s-%s"
+msgstr "Paquetage déjà rendu obsolète : %s.%s %s:%s-%s"
 
 #: ../yum/__init__.py:2320
 #, python-format