--- docs-about-fedora.f13.About_Fedora.po	2010-04-05 20:53:50.000000000 +0200
+++ docs-about-fedora.f13.About_Fedora.tom.po	2010-04-05 21:08:06.000000000 +0200
@@ -3,18 +3,19 @@
 # Alain PORTAL <aportal@univ-montp2.fr>, 2007, 2008.
 # Pablo Martin-Gomez <pablo.martin-gomez@laposte.net>, 2008.
 # Charles-Antoine Couret <cacouret@wanadoo.fr>, 2009.
+# Thomas Canniot <mrtom@fedoraproject.org>, 2010.
 msgid ""
 msgstr ""
 "Project-Id-Version: fr\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2010-03-27T22:05:22\n"
-"PO-Revision-Date: 2009-11-22 20:15+0100\n"
-"Last-Translator: Charles-Antoine Couret <cacouret@wanadoo.fr>\n"
-"Language-Team: French <fedora-trans-fr@redhat.com>\n"
+"PO-Revision-Date: 2010-04-05 21:08+0200\n"
+"Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
+"Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 0.3\n"
+"X-Generator: Lokalize 1.0\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #. Tag: para
@@ -36,13 +37,14 @@
 "Projet Fedora qui est parrainé par Red Hat Inc."
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "Visit the Fedora community Wiki at <ulink url=\"http://fedoraproject.org/"
 "wiki/\" />."
 msgstr ""
-"Visitez le wiki de la communauté de Fedora sur <ulink url=\"http://"
-"fedoraproject.org/wiki/\"></ulink>."
+"Visitez le wiki de la communauté de Fedora sur <ulink "
+"url=\"http://fedoraproject.org/"
+"wiki/\" />."
 
 #. Tag: title
 #, no-c-format
@@ -50,7 +52,7 @@
 msgstr "Fedora Documentation"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "The Fedora Documentation Project provides 100% Free/Libre Open Source "
 "Software (FLOSS) content, services, and tools for documentation. We welcome "
@@ -60,7 +62,7 @@
 "Le Projet Fedora Documentation fournit des services, des outils et du "
 "contenu entièrement libres pour la documentation. Les volontaires et les "
 "contributeurs de tous niveaux sont les bienvenus. Consultez notre page web "
-"sur <ulink url=\"http://fedoraproject.org/wiki/DocsProject\"></ulink>."
+"sur <ulink url=\"http://fedoraproject.org/wiki/DocsProject\" />."
 
 #. Tag: title
 #, no-c-format
@@ -68,7 +70,7 @@
 msgstr "Fedora Translation"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "The goal of the Translation Project is to translate the software and the "
 "documentation associated with the Fedora Project. Visit our Web page at "
@@ -76,7 +78,7 @@
 msgstr ""
 "Le but du Projet Fedora Translation est de traduire les logiciels et la "
 "documentation associés au Projet Fedora. Visitez notre page web sur <ulink "
-"url=\"http://fedoraproject.org/wiki/Translation\"></ulink>."
+"url=\"http://fedoraproject.org/wiki/Translation\" />."
 
 #. Tag: title
 #, no-c-format
@@ -84,7 +86,7 @@
 msgstr "Fedora Bug Squad"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "The primary mission of the Fedora Bug Squad is to track down and clear bugs "
 "in <ulink url=\"https://bugzilla.redhat.com/bugzilla\">Bugzilla</ulink> that "
@@ -93,10 +95,10 @@
 "\" />."
 msgstr ""
 "La principale mission de Fedora Bug Squad est de traquer et de nettoyer les "
-"bugs relatifs à Fedora dans <ulink url=\"https://bugzilla.redhat.com/bugzilla"
-"\">Bugzilla</ulink>, et d'agir en lien entre les utilisateurs et les "
-"développeurs. Visitez notre page web sur <ulink url=\"http://fedoraproject."
-"org/wiki/BugZappers\"></ulink>."
+"bugs relatifs à Fedora dans <ulink url=\"https://bugzilla.redhat."
+"com/bugzilla\">Bugzilla</ulink>, et d'agir en lien entre les utilisateurs et "
+"les développeurs. Visitez notre page web sur <ulink "
+"url=\"http://fedoraproject.org/wiki/BugZappers\" />."
 
 #. Tag: title
 #, no-c-format
@@ -104,7 +106,7 @@
 msgstr "Fedora Marketing"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "The Fedora Marketing Project is the Fedora Project's public voice. Our goal "
 "is to promote Fedora and to help promote other Linux and open source "
@@ -113,8 +115,9 @@
 msgstr ""
 "Le Projet Fedora Marketing est l'expression en public du projet Fedora. "
 "Notre objectif est de promouvoir Fedora et d'aider à promouvoir Linux et "
-"d'autres projets libres. Visitez notre page web sur <ulink url=\"http://"
-"fedoraproject.org/wiki/Marketing\"></ulink>."
+"d'autres projets libres. Visitez notre page web sur <ulink "
+"url=\"http://fedoraproject.org/wiki/"
+"Marketing\" />."
 
 #. Tag: title
 #, no-c-format
@@ -122,7 +125,7 @@
 msgstr "Fedora Ambassadors"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "Fedora Ambassadors are people who go to places where other Linux users and "
 "potential converts gather and tell them about Fedora &mdash; the project and "
@@ -130,9 +133,10 @@
 "org/wiki/Ambassadors\" />."
 msgstr ""
 "Les ambassadeurs Fedora sont des gens qui vont à la rencontre d'autres "
-"utilisateurs de Linux, pour leur parler du projet Fedora et les convaincre "
-"d'utiliser la distribution. Visitez notre page web sur <ulink url=\"http://"
-"fedoraproject.org/wiki/Ambassadors\"></ulink>."
+"utilisateurs de Linux pour leur parler du Projet Fedora et de la "
+"distribution. "
+"Visitez notre page web sur <ulink url=\"http://fedoraproject."
+"org/wiki/Ambassadors\" />."
 
 #. Tag: title
 #, no-c-format
@@ -140,7 +144,7 @@
 msgstr "Fedora Infrastructure"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "The Fedora Infrastructure Project is about helping all Fedora contributors "
 "get their work done with minimum hassle and maximum efficiency. Information "
@@ -160,8 +164,8 @@
 "cvs.fedoraproject.org/\">dépôts CVS</ulink>, les <ulink url=\"http://"
 "fedoraproject.org/wiki/Communicate\">listes de diffusion</ulink> et toute "
 "l'infrastructure des <ulink url=\"http://fedoraproject.org/wiki/Websites"
-"\">sites web</ulink>. Consultez notre site web à <ulink url=\"http://"
-"fedoraproject.org/wiki/Infrastructure\"></ulink>."
+"\">sites web</ulink>. Consultez notre site web à <ulink url="
+"\"http://fedoraproject.org/wiki/Infrastructure\" />."
 
 #. Tag: title
 #, no-c-format
@@ -202,13 +206,14 @@
 "projet qu'ils représentent!"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "Visit our Web page at <ulink url=\"http://fedoraproject.org/wiki/Websites\" /"
 ">."
 msgstr ""
-"Visitez notre page web sur <ulink url=\"http://fedoraproject.org/wiki/"
-"Websites\"></ulink>."
+"Visitez notre page web sur <ulink url=\"http://fedoraproject."
+"org/wiki/Websites\" /"
+">."
 
 #. Tag: title
 #, no-c-format
@@ -216,7 +221,7 @@
 msgstr "Fedora Artwork"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "Making things look pretty is the name of the game. Icons, desktop "
 "backgrounds, and themes are all parts of the Fedora Artwork Project. Visit "
@@ -224,7 +229,7 @@
 msgstr ""
 "Rendre les choses jolies, tel est le but de ce projet. Icônes, fonds d'écran "
 "et thèmes font partie intégrante du projet Fedora Artwork. Consultez notre "
-"page web sur <ulink url=\"http://fedoraproject.org/wiki/Artwork\"></ulink>."
+"page web sur <ulink url=\"http://fedoraproject.org/wiki/Artwork\" />."
 
 #. Tag: title
 #, no-c-format
@@ -232,11 +237,12 @@
 msgstr "Planète Fedora"
 
 #. Tag: para
-#, fuzzy, no-c-format
+#, no-c-format
 msgid ""
 "You can read weblogs of many Fedora contributors at our official aggregator, "
 "<ulink url=\"http://planet.fedoraproject.org/\" />."
 msgstr ""
 "Vous pouvez lire des blogs de nombreux contributeurs du Projet Fedora sur "
 "notre agrégateur officiel, à l'adresse <ulink url=\"http://planet."
-"fedoraproject.org/\"></ulink>."
+"fedoraproject.org/\" />."
+