--- anaconda.master.fr.po	2009-09-19 15:28:55.885217623 +0200
+++ anaconda.master.tom.po	2009-09-19 15:42:46.010093935 +0200
@@ -18,7 +18,7 @@
 "Project-Id-Version: anaconda.master.fr\n"
 "Report-Msgid-Bugs-To: anaconda-devel-list@redhat.com\n"
 "POT-Creation-Date: 2009-09-17 14:51-1000\n"
-"PO-Revision-Date: 2009-08-30 19:01+0200\n"
+"PO-Revision-Date: 2009-09-19 15:42+0200\n"
 "Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
 "Language-Team: French <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -651,12 +651,12 @@
 msgstr "Pas de réseau de disponible"
 
 #: kickstart.py:146
-#, fuzzy
 msgid ""
 "Encryption key escrow requires networking, but there was an error enabling "
 "the network on your system."
 msgstr ""
-"Certains de vos dépôts logiciels nécessitent une connexion réseau, mais une "
+"Le chiffrage de l'autorité de séquestre nécessite une connexion réseau, "
+"mais une "
 "erreur s'est produite lors de l'activation du réseau sur votre système."
 
 #: kickstart.py:1214
@@ -827,8 +827,7 @@
 #: packages.py:122
 #, python-format
 msgid "An error was encountered while resizing device %s."
-msgstr ""
-"Une erreur s'est produite lors du redimensionnement du périphérique %s."
+msgstr "Une erreur s'est produite lors du redimensionnement du périphérique %s."
 
 #: packages.py:129
 msgid "Device Creation Failed"
@@ -864,8 +863,7 @@
 #: packages.py:158
 #, python-format
 msgid "There was an error encountered while resizing the device %s."
-msgstr ""
-"Une erreur s'est produite lors du redimensionnement du périphérique %s."
+msgstr "Une erreur s'est produite lors du redimensionnement du périphérique %s."
 
 #: packages.py:165
 msgid "Migration Failed"
@@ -970,8 +968,7 @@
 
 #: partIntfHelpers.py:45
 msgid "Volume Group Names must be less than 128 characters"
-msgstr ""
-"Les noms de groupe de volumes doivent comporter moins de 128 caractères"
+msgstr "Les noms de groupe de volumes doivent comporter moins de 128 caractères"
 
 #: partIntfHelpers.py:48
 #, python-format
@@ -1206,8 +1203,7 @@
 msgstr "Confirmer la réinitialisation"
 
 #: partIntfHelpers.py:347
-msgid ""
-"Are you sure you want to reset the partition table to its original state?"
+msgid "Are you sure you want to reset the partition table to its original state?"
 msgstr "Souhaitez-vous rétablir la table de partitions à son état initial ?"
 
 #: platform.py:94 platform.py:97 platform.py:320 platform.py:387
@@ -2253,8 +2249,7 @@
 msgstr "Utiliser malgré tout"
 
 #: iw/account_gui.py:138 textw/userauth_text.py:75
-msgid ""
-"Requested password contains non-ASCII characters, which are not allowed."
+msgid "Requested password contains non-ASCII characters, which are not allowed."
 msgstr ""
 "Le mot de passe demandé contient des caractères non-ASCII qui ne sont pas "
 "autorisés."
@@ -2415,8 +2410,7 @@
 
 #: iw/congrats_gui.py:79 textw/complete_text.py:44
 msgid "Please shutdown to use the installed system.\n"
-msgstr ""
-"Veuillez éteindre votre ordinateur pour utiliser le système installé.\n"
+msgstr "Veuillez éteindre votre ordinateur pour utiliser le système installé.\n"
 
 #: iw/congrats_gui.py:81 textw/complete_text.py:46
 msgid "Please reboot to use the installed system.\n"
@@ -3642,8 +3636,7 @@
 
 #: iw/upgrade_bootloader_gui.py:138 textw/upgrade_bootloader_text.py:121
 #, python-format
-msgid ""
-"The installer has detected the %s boot loader currently installed on %s."
+msgid "The installer has detected the %s boot loader currently installed on %s."
 msgstr ""
 "Le programme d'installation a détecté le chargeur de démarrage %s installé "
 "sur %s."
@@ -4726,8 +4719,7 @@
 
 #: loader/urls.c:295
 #, c-format
-msgid ""
-"Please enter the URL containing the %s installation image on your server."
+msgid "Please enter the URL containing the %s installation image on your server."
 msgstr ""
 "Veuillez saisir l'URL contenant l'image d'installation de %s sur votre "
 "serveur."
@@ -4831,12 +4823,12 @@
 
 #: storage/__init__.py:173
 msgid "Storing encryption keys"
-msgstr ""
+msgstr "Enregistrement des clés de chiffrage"
 
 #: storage/__init__.py:191
 #, python-format
 msgid "Error storing an encryption key: %s\n"
-msgstr ""
+msgstr "Erreur lors de l'enregistrement de la clé de chiffrage : %s\n"
 
 #: storage/__init__.py:307
 msgid "Finding Devices"
@@ -5027,6 +5019,13 @@
 "is an old-style Linux swap partition.  If you want to use this device for "
 "swap space, you must reformat as a new-style Linux swap partition."
 msgstr ""
+"Le périphérique swap :\n"
+"\n"
+"     %s\n"
+"\n"
+"est une ancienne partition swap. Si vous souhaitez utiliser ce périphérique en "
+"tant "
+"qu'espace swap, vous devez le formater en tant que nouvelle partition swap."
 
 #: storage/__init__.py:1674
 #, python-format
@@ -5077,6 +5076,12 @@
 "does not contain a support swap volume.  In order to continue installation, "
 "you will need to format the device or skip it."
 msgstr ""
+"Le préiphérique swap :\n"
+"\n"
+"     %s\n"
+"\n"
+"ne contient pas de volume swap. Afin de poursuivre l'installation, "
+"vous devrez formater le périphérique ou ignorer cette étape."
 
 #: storage/__init__.py:1705
 #, python-format
@@ -5317,13 +5322,13 @@
 msgstr "Impossible de se connecter aux nœuds découverts"
 
 #: storage/partitioning.py:184
-#, fuzzy
 msgid ""
 "Could not find enough free space for automatic partitioning.  Press 'OK' to "
 "exit the installer."
 msgstr ""
-"Espace disque insuffisant pour le partionnement automatique. Veuillez "
-"utiliser une autre méthode d'installation."
+"Espace disque insuffisant pour le partionnement automatique. Cliquez sur "
+"« OK » "
+"pour quitter le programme d'installation."
 
 #: storage/partitioning.py:187
 msgid ""
@@ -5428,14 +5433,12 @@
 #: storage/zfcp.py:137
 #, python-format
 msgid "zFCP device %s not found, not even in device ignore list."
-msgstr ""
-"Le périphérique zFCP %s n'est pas trouvé et ce même dans la liste noire."
+msgstr "Le périphérique zFCP %s n'est pas trouvé et ce même dans la liste noire."
 
 #: storage/zfcp.py:150
 #, python-format
 msgid "Could not set zFCP device %s online (%s)."
-msgstr ""
-"Impossible de configurer le périphérique zFCP %s en mode connecté (%s)."
+msgstr "Impossible de configurer le périphérique zFCP %s en mode connecté (%s)."
 
 #: storage/zfcp.py:161
 #, python-format
@@ -5447,10 +5450,9 @@
 msgid "WWPN %s not found at zFCP device %s."
 msgstr "%s WWPN n'a pas été trouvé parmi les périphériques zFCP %s."
 
-#: storage/zfcp.py:179
-#, fuzzy, python-format
+#: storage/zfcp.py:179, python-format
 msgid "Could not add LUN %s to WWPN %s on zFCP device %s (%s)."
-msgstr "Impossible d'ajouter %s LUN à %s WWPN sur le périphérique %s (%)."
+msgstr "Impossible d'ajouter %s LUN à %s WWPN sur le périphérique zFCP %s (%)."
 
 #: storage/zfcp.py:183
 #, python-format
@@ -5477,16 +5479,14 @@
 msgid "Could not correctly delete SCSI device of zFCP %s %s %s (%s)."
 msgstr "Impossible de supprimer le périphérique SCSI du zFCP %s %s %s (%s)."
 
-#: storage/zfcp.py:260
-#, fuzzy, python-format
+#: storage/zfcp.py:260, python-format
 msgid "Could not remove LUN %s at WWPN %s on zFCP device %s (%s)."
 msgstr ""
-"Impossible de supprimer %s LUN de %s WWPN sur le périphérique zFCP %s (%)."
+"Impossible de supprimer %s LUN de %s WWPN sur le périphérique zFCP %s (%s)."
 
-#: storage/zfcp.py:275
-#, fuzzy, python-format
+#: storage/zfcp.py:275, python-format
 msgid "Could not remove WWPN %s on zFCP device %s (%s)."
-msgstr "Impossible de supprimer %s WWPN sur le périphérique zFCP %s (%)."
+msgstr "Impossible de supprimer %s WWPN sur le périphérique zFCP %s (%s)."
 
 #: storage/zfcp.py:299
 #, python-format
@@ -6007,8 +6007,7 @@
 
 #: ui/autopart.glade.h:5
 msgid "What drive would you like to _boot this installation from?"
-msgstr ""
-"À partir de quel disque souhaitez-vous que _démarre cette installation ?"
+msgstr "À partir de quel disque souhaitez-vous que _démarre cette installation ?"
 
 #: ui/autopart.glade.h:6
 msgid ""
@@ -6027,8 +6026,7 @@
 
 #: ui/autopart.glade.h:9
 msgid "_Select the drive(s) to use for this installation."
-msgstr ""
-"_Sélectionnez le(s) périphérique(s) à utiliser pour cette installation."
+msgstr "_Sélectionnez le(s) périphérique(s) à utiliser pour cette installation."
 
 #: ui/autopart.glade.h:10
 msgid "_Shrink"
@@ -6079,24 +6077,24 @@
 msgstr "_Détails"
 
 #: ui/fcoe-config.glade.h:1
-#, fuzzy
 msgid "Configure FCoE Parameters"
-msgstr "Configurer les paramètres iSCSI"
+msgstr "Configurer les paramètres FCoE"
 
 #: ui/fcoe-config.glade.h:2
 msgid "NIC"
-msgstr ""
+msgstr "NIC"
 
 #: ui/fcoe-config.glade.h:3
 msgid ""
 "Please select the network interface which is connected to\n"
 "your FCoE switch."
 msgstr ""
+"Veuillez sélectionner l'interface réseau connectée\n"
+"à votre switch FCoE."
 
 #: ui/fcoe-config.glade.h:5
-#, fuzzy
 msgid "_Add FCoE Disk(s)"
-msgstr "Ajouter un SAN FCoE"
+msgstr "_Ajouter un ou des disques FCoE"
 
 #: ui/instkey.glade.h:2
 #, no-c-format